Package org.apache.commons.math3.stat.ranking

# Enum TiesStrategy

java.lang.Object
java.lang.Enum<TiesStrategy>
org.apache.commons.math3.stat.ranking.TiesStrategy

All Implemented Interfaces:
  `Serializable`, `Comparable<TiesStrategy>`, `java.lang.constant.Constable`

public enum TiesStrategy extends Enum<TiesStrategy>
Strategies for handling tied values in rank transformations.

- SEQUENTIAL - Ties are assigned ranks in order of occurrence in the original array, for example (1,3,4,3) is ranked as (1,2,4,3)
- MINIMUM - Tied values are assigned the minimum applicable rank, or the rank of the first occurrence. For example, (1,3,4,3) is ranked as (1,2,4,2)
- MAXIMUM - Tied values are assigned the maximum applicable rank, or the rank of the last occurrence. For example, (1,3,4,3) is ranked as (1,3,4,3)
- AVERAGE - Tied values are assigned the average of the applicable ranks. For example, (1,3,4,3) is ranked as (1,2.5,4,2.5)
- RANDOM - Tied values are assigned a random integer rank from among the applicable values. The assigned rank will always be an integer, (inclusively) between the values returned by the MINIMUM and MAXIMUM strategies.

Since:
  2.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AVERAGE`
Ties get the average of applicable ranks
`MAXIMUM`
Ties get the maximum applicable rank
`MINIMUM`
Ties get the minimum applicable rank
`RANDOM`
Ties get a random integral value from among applicable ranks
`SEQUENTIAL`
Ties assigned sequential ranks in order of occurrence

## Method Summary

Modifier and Type
Method
Description
`static TiesStrategy`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TiesStrategy[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SEQUENTIAL

public static final TiesStrategy SEQUENTIAL
Ties assigned sequential ranks in order of occurrence

### MINIMUM

public static final TiesStrategy MINIMUM
Ties get the minimum applicable rank

### MAXIMUM

public static final TiesStrategy MAXIMUM
Ties get the maximum applicable rank

### AVERAGE

public static final TiesStrategy AVERAGE
Ties get the average of applicable ranks

### RANDOM

public static final TiesStrategy RANDOM
Ties get a random integral value from among applicable ranks

## Method Details

### values

public static TiesStrategy[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TiesStrategy valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null